dojo.provide("parus.changePasswordDialog");

dojo.require("dijit.Dialog");
dojo.require("dijit.form.Button");

dojo.require("parus.parus8");
dojo.require("parus.database");
dojo.require("parus.dialog");

dojo.declare("parus.changePasswordDialog", [parus.Dialog], {

  handler: null,
  login: null,
  password: null,

  apply: function() {

    if (this.passwordEdit.value != this.passwordEditCopy.value) {
      parus.parus8.errorMessage("Введенные Вами пароли различаются. Пожалуйста, будьте внимательны.");
      return;
    }

    if (parus.database.connect(
    this.handler, this.login, this.password, this.passwordEdit.value)) {
      parus.parus8.notificationMessage("Пароль успешно изменен.", parus.parus8.internalLogout);
    }
    else {
      if (!parus.database.authException) alert("Регистрационные данные не верны. Проверьте пожалуйста правильность ввода.");
    }

    return this.inherited(arguments);
  }

});